Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

course_id
string
required

The unique identifier of the course to list enrolled students for.

Example:

"cors_xxxxxxxxxxxxx"

keyword
string | null

A search term to filter students by name or username.

Response

A successful response

The connection type for CourseStudentType.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.